//
//  GetRoomInfoResponse.swift
//  SodaLive
//
//  Created by klaus on 2023/08/14.
//

struct GetRoomInfoResponse: Decodable {
    let roomId: Int
    let title: String
    let notice: String
    let coverImageUrl: String
    let channelName: String
    let rtcToken: String
    let rtmToken: String
    let creatorId: Int
    let creatorNickname: String
    let creatorProfileUrl: String
    let isFollowing: Bool
    let isAdult: Bool
    let participantsCount: Int
    let totalAvailableParticipantsCount: Int
    let speakerList: [LiveRoomMember]
    let listenerList: [LiveRoomMember]
    let managerList: [LiveRoomMember]
    let donationRankingTop3UserIds: [Int]
    let menuPan: String
    let isActiveRoulette: Bool
    let isPrivateRoom: Bool
    let password: String?
}
